Bug 851037 - screensaver uses keyboard layout of the last active window instead of the default one
screensaver uses keyboard layout of the last active window instead of the def...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 02:50 EDT by Jakub Dorňák
Modified: 2013-08-01 06:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:23:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub Dorňák 2012-08-23 02:50:31 EDT
Description of problem:
I use two layouts: en and cs_qwerty (en is the default one).
I have set these options:
"Allow different layouts for individual windows"
"New windows use the default layout"
Everything works as expected except the screensaver.
When the screen is locked, the dialog uses the layout of the last active window, which is usually the one I do not expect.
Although it is posible to change the layout using keyboard shortcut, it is annoying.

Version-Release number of selected component (if applicable):
gnome-screensaver-3.4.1-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. set up two layouts
2. check the options:
    "Allow different layouts for individual windows"
    "New windows use the default layout"
3. open two windows of your choice
4. change the layout for one of them
5. lock the screen with each of them being the last active (focused) window
  
Actual results:
The screensaver uses keyboard layout of the last active window.

Expected results:
The screensaver should use the default keyboard layout according to the settings.

Additional info:
I use the "Forced Fallback Mode".
Comment 1 Fedora End Of Life 2013-07-03 23:10:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 06:23:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.